Subject: Re: [PATCH] docs: sort configuration variable groupings alphabetically

From: Junio C Hamano <[email-masked]>
Date: Thu, 29 Feb 2024 11:59:36 -0800

Eric Sunshine <[email-masked]> writes:

> NOTE: This change only sorts the top-level groupings (i.e. "core.*"
> comes after "completion.*"); it does not touch the ordering of variables
> within each group since variables within individual groups might
> intentionally be ordered in some other fashion (such as
> most-common-first or most-important-first).

I think this is a useful first step.

It is tempting to think, in this day and age, searching in a
document is so easy to start with a single keystroke (either ^F in a
browser, or '/' in a pager) that the ordering of entries does not
matter as much as it used to, but the reader may not know exactly
what variable they are looking for, and a predictable ordering helps
while they are browsing the list.

Will queue.  Thanks.